Bug 1908716 - UI breaks on click of sidebar of ksvc (if revisions not up) in topology on 4.7 builds
Summary: UI breaks on click of sidebar of ksvc (if revisions not up) in topology on 4....
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.7.0
Assignee: Jaivardhan Kumar
QA Contact: Debsmita Santra
Harsh Mishra
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-17 12:19 UTC by Jaivardhan Kumar
Modified: 2021-02-24 15:46 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: in initial few seconds if there are any error in fetching resources and then error object was passed to renderer which was expected as string Consequence: UI breaks on click of sidebar of ksvc Fix: not render error object fixes the issue Result: UI works as expected on click of sidebar for KSVC
Clone Of:
Environment:
Last Closed: 2021-02-24 15:46:22 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7589 0 None closed Bug 1908716: passes loadError message and handled same in pods-overview 2021-02-18 19:31:55 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:46:37 UTC

Description Jaivardhan Kumar 2020-12-17 12:19:07 UTC
Description of problem: UI breaks on click of sidebar of ksvc (if revisions not up) in topology on 4.7 builds


Version-Release number of selected component (if applicable):


How reproducible: Always


Prerequisites (if any, like setup, operators/versions): Install Serverless Operator

Steps to Reproduce
1.Create a ns
2.Go to ns -> Add -> Container Image
3.Provide any image, click Create
4.In topology click on KSVC before revision comes up
5.Actual results: UI breaks with Error `unhandled error: Uncaught Error: Minified React error #31;`


Expected results: Sidebar should open


Additional info:
Not reproduced on 4.6.8 and neither on localhost dev mode. It's observed only on builds

Jira: https://issues.redhat.com/browse/ODC-5287

Comment 3 Debsmita Santra 2020-12-22 10:59:57 UTC
verified on build 4.7.0-0.nightly-2020-12-21-131655

Comment 5 errata-xmlrpc 2021-02-24 15:46:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.